Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# DynamicAny::DynUnion Interface Reference

`#include <DynamicAnyC.h>`

Inheritance diagram for DynamicAny::DynUnion:

[legend]
Collaboration diagram for DynamicAny::DynUnion:

[legend]
List of all members.

## Public Types
typedef DynUnion_ptr | _ptr_type
typedef DynUnion_var | _var_type
## Public Methods
DynAny | get_discriminator ()
void | set_discriminator (in DynAny d) raises (TypeMismatch)
void | set_to_default_member () raises (TypeMismatch)
void | set_to_no_active_member () raises (TypeMismatch)
boolean | has_no_active_member ()
CORBA::TCKind | discriminator_kind ()
DynAny | member () raises (InvalidValue)
FieldName | member_name () raises (InvalidValue)
CORBA::TCKind | member_kind () raises (InvalidValue)
virtual::DynamicAny::DynAny_ptr | get_discriminator (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | set_discriminator (DynamicAny::DynAny_ptr d ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch )
virtual void | set_to_default_member (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch )
virtual void | set_to_no_active_member (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch )
virtual CORBA::Boolean | has_no_active_member (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual CORBA::TCKind | discriminator_kind (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::DynamicAny::DynAny_ptr | member (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::InvalidValue )
virtual char * | member_name (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::InvalidValue )
virtual CORBA::TCKind | member_kind (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::InvalidValue )
virtual void * | _tao_QueryInterface (ptr_arith_t type)
virtual const char * | _interface_repository_id (void) const
## Static Public Methods
DynUnion_ptr | _duplicate (DynUnion_ptr obj)
DynUnion_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
DynUnion_ptr | _unchecked_narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
DynUnion_ptr | _nil (void)
## Static Public Attributes
int | _tao_class_id
## Protected Methods
| DynUnion (void)
virtual | ~DynUnion (void)
## Private Methods
| DynUnion (const DynUnion &)
void | operator= (const DynUnion &)

## Member Typedef Documentation

typedef DynUnion_ptr DynamicAny::DynUnion::_ptr_type

| Reimplemented from DynamicAny::DynAny.

typedef DynUnion_var DynamicAny::DynUnion::_var_type

| Reimplemented from DynamicAny::DynAny.

## Constructor & Destructor Documentation

DynamicAny::DynUnion::DynUnion | ( | void |  | ) | `[protected]`

virtual DynamicAny::DynUnion::~DynUnion | ( | void |  | ) | `[protected, virtual]`

DynamicAny::DynUnion::DynUnion | ( | const DynUnion & |  | ) | `[private]`

## Member Function Documentation

DynUnion_ptr DynamicAny::DynUnion::_duplicate | ( | DynUnion_ptr | obj | ) | `[static]`

virtual const char* DynamicAny::DynUnion::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from DynamicAny::DynAny.

DynUnion_ptr DynamicAny::DynUnion::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_NOT_USED | ) | `[static]`

| Reimplemented from DynamicAny::DynAny. Reimplemented in TAO_DynUnion_i.

DynUnion_ptr DynamicAny::DynUnion::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from DynamicAny::DynAny.

virtual void* DynamicAny::DynUnion::_tao_QueryInterface | ( | ptr_arith_t | type | ) | `[virtual]`

| Reimplemented from DynamicAny::DynAny. Reimplemented in TAO_DynUnion_i.

DynUnion_ptr DynamicAny::DynUnion::_unchecked_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from DynamicAny::DynAny.

virtual CORBA::TCKind DynamicAny::DynUnion::discriminator_kind | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_DynUnion_i.

CORBA::TCKind DynamicAny::DynUnion::discriminator_kind | ( |  | ) |

virtual ::DynamicAny::DynAny_ptr DynamicAny::DynUnion::get_discriminator | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_DynUnion_i.

DynAny DynamicAny::DynUnion::get_discriminator | ( |  | ) |

virtual CORBA::Boolean DynamicAny::DynUnion::has_no_active_member | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_DynUnion_i.

boolean DynamicAny::DynUnion::has_no_active_member | ( |  | ) |

virtual ::DynamicAny::DynAny_ptr DynamicAny::DynUnion::member | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Reimplemented in TAO_DynUnion_i.

DynAny DynamicAny::DynUnion::member | ( |  | ) | raises (InvalidValue)

virtual CORBA::TCKind DynamicAny::DynUnion::member_kind | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Reimplemented in TAO_DynUnion_i.

CORBA::TCKind DynamicAny::DynUnion::member_kind | ( |  | ) | raises (InvalidValue)

virtual char* DynamicAny::DynUnion::member_name | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Reimplemented in TAO_DynUnion_i.

FieldName DynamicAny::DynUnion::member_name | ( |  | ) | raises (InvalidValue)

void DynamicAny::DynUnion::operator= | ( | const DynUnion & |  | ) | `[private]`

virtual void DynamicAny::DynUnion::set_discriminator | ( | DynamicAny::DynAny_ptr d | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch )`[pure virtual]`

| Reimplemented in TAO_DynUnion_i.

void DynamicAny::DynUnion::set_discriminator | ( | in DynAny | d | ) | raises (TypeMismatch)

virtual void DynamicAny::DynUnion::set_to_default_member | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch )`[pure virtual]`

| Reimplemented in TAO_DynUnion_i.

void DynamicAny::DynUnion::set_to_default_member | ( |  | ) | raises (TypeMismatch)

virtual void DynamicAny::DynUnion::set_to_no_active_member | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch )`[pure virtual]`

| Reimplemented in TAO_DynUnion_i.

void DynamicAny::DynUnion::set_to_no_active_member | ( |  | ) | raises (TypeMismatch)

## Member Data Documentation

int DynamicAny::DynUnion::_tao_class_id`[static]`

| Reimplemented from DynamicAny::DynAny.

The documentation for this interface was generated from the following files:

- DynamicAny.pidl
- DynamicAnyC.h